### Hierarchy

- MoveSettings

## Index

### Properties

- accuracyChance
- animationId
- criticalChance
- damageWindowEndMs
- damageWindowStartMs
- durationMs
- energyDelta
- healScalar
- movementId
- pokemonType
- power
- staminaLossScalar
- trainerLevelMax
- trainerLevelMin
- vfxName

## Properties

### accuracyChance

accuracyChance: number

- Defined in core/game_master/gameMaster.ts:237

### animationId

animationId: number

- Defined in core/game_master/gameMaster.ts:234

### criticalChance

criticalChance: number

- Defined in core/game_master/gameMaster.ts:238

### damageWindowEndMs

damageWindowEndMs: number

- Defined in core/game_master/gameMaster.ts:245

### damageWindowStartMs

damageWindowStartMs: number

- Defined in core/game_master/gameMaster.ts:244

### durationMs

durationMs: number

- Defined in core/game_master/gameMaster.ts:243

### energyDelta

energyDelta: number

- Defined in core/game_master/gameMaster.ts:246

### Optional healScalar

healScalar: number

- Defined in core/game_master/gameMaster.ts:247

### movementId

movementId: string

- Defined in core/game_master/gameMaster.ts:233

### pokemonType

pokemonType: string

- Defined in core/game_master/gameMaster.ts:235

### power

power: number

- Defined in core/game_master/gameMaster.ts:236

### staminaLossScalar

staminaLossScalar: number

- Defined in core/game_master/gameMaster.ts:239

### trainerLevelMax

trainerLevelMax: number

- Defined in core/game_master/gameMaster.ts:241

### trainerLevelMin

trainerLevelMin: number

- Defined in core/game_master/gameMaster.ts:240

### vfxName

vfxName: string

- Defined in core/game_master/gameMaster.ts:242

Generated using TypeDoc